Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class ExecuteTaskRulesCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Void>
          org.jbpm.services.task.commands.ExecuteTaskRulesCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class ExecuteTaskRulesCommand

extends TaskCommand<Void>

See Also:
  Serialized Form

Field Summary
`protected Map<String,Object>` | `data`
`protected String` | `scope`

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`ExecuteTaskRulesCommand()`
`ExecuteTaskRulesCommand(long taskId, String userId, Map<String,Object> data, String scope)`

Method Summary
`Void` | `execute(org.kie.internal.command.Context ctx)`
`Map<String,Object>` | `getData()`
`void` | `setData(Map<String,Object> data)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected Map<String,Object> data

### scope

    protected String scope

Constructor Detail

### ExecuteTaskRulesCommand

    public ExecuteTaskRulesCommand()

### ExecuteTaskRulesCommand

    public ExecuteTaskRulesCommand(long taskId,
                                   String userId,
                                   Map<String,Object> data,
                                   String scope)

Method Detail

### getData

    public Map<String,Object> getData()

### setData

    public void setData(Map<String,Object> data)

### execute

    public Void execute(org.kie.internal.command.Context ctx)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.